import { ILiftStatusValues } from "../../utils/types";
export declare class LsIndicator {
    /**
     * The ID of the sensor that is to be displayed.
     */
    readonly sensorId: number;
    sensorData: ILiftStatusValues;
    /**
     * The unique key that is used to identify store data.
     */
    readonly idKey: string;
    private store;
    private storeUnsubscribe;
    private get dataLabel();
    private processSensorUpdate;
    componentWillLoad(): Promise<void>;
    disconnectedCallback(): void;
    render(): any;
}
